Add trap and cleanup for SIGTERM sent by timeout and SIGINT from
keyboard, for the test times out and leaves incoherent network stack.
Fixes: 937eeb3482748 ("selftests: forwarding: Create test topology for multipath routing")
Cc: Ido Schimmel <[email protected]>
Cc: [email protected]
---
tools/testing/selftests/net/forwarding/router_multipath.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tools/testing/selftests/net/forwarding/router_multipath.sh b/tools/testing/selftests/net/forwarding/router_multipath.sh
index 464821c587a5..7b3cfe577e00 100755
--- a/tools/testing/selftests/net/forwarding/router_multipath.sh
+++ b/tools/testing/selftests/net/forwarding/router_multipath.sh
@@ -332,7 +332,7 @@ ping_ipv6()
ping6_test $h1 2001:db8:2::2
}
-trap cleanup EXIT
+trap cleanup INT TERM EXIT
setup_prepare
setup_wait
--
2.34.1